package com.ruoyi.project.reliability.service;

import java.util.List;
import com.ruoyi.project.reliability.domain.TKkxglcs;

/**
 * 可靠性管理措施Service接口
 * 
 * @author ruoyi
 * @date 2020-11-27
 */
public interface ITKkxglcsService 
{
    /**
     * 查询可靠性管理措施
     * 
     * @param id 可靠性管理措施ID
     * @return 可靠性管理措施
     */
    public TKkxglcs selectTKkxglcsById(Long id);

    /**
     * 查询可靠性管理措施列表
     * 
     * @param tKkxglcs 可靠性管理措施
     * @return 可靠性管理措施集合
     */
    public List<TKkxglcs> selectTKkxglcsList(TKkxglcs tKkxglcs);

    /**
     * 新增可靠性管理措施
     * 
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    public int insertTKkxglcs(TKkxglcs tKkxglcs);

    /**
     * 修改可靠性管理措施
     * 
     * @param tKkxglcs 可靠性管理措施
     * @return 结果
     */
    public int updateTKkxglcs(TKkxglcs tKkxglcs);

    /**
     * 批量删除可靠性管理措施
     * 
     * @param ids 需要删除的可靠性管理措施ID
     * @return 结果
     */
    public int deleteTKkxglcsByIds(Long[] ids);

    /**
     * 删除可靠性管理措施信息
     * 
     * @param id 可靠性管理措施ID
     * @return 结果
     */
    public int deleteTKkxglcsById(Long id);
}
